=== debian/changelog ===
golang-github-colinmarc-hdfs (2.3.0-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 13:33:13 +1000

golang-github-colinmarc-hdfs (2.3.0-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 06 Nov 2024 10:23:10 +1000

golang-github-colinmarc-hdfs (2.3.0-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 08:13:08 +0530

golang-github-colinmarc-hdfs (2.3.0-2build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:56 +1200

golang-github-colinmarc-hdfs (2.3.0-2) unstable; urgency=medium

  * Re-upload after rejection (due to missing
    golang-github-jcmturner-gokrb5.v8 at time of acceptance)

 -- Matthew Vernon <matthew@debian.org>  Tue, 06 Dec 2022 23:15:25 +0000

golang-github-colinmarc-hdfs (2.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1024442)
  * Uploaded with the consent of Drew Parsons (who opened the ITP)
  * Some build-deps still in NEW: golang-github-jcmturner-aescts.v2-dev,
    golang-github-jcmturner-dnsutils.v2-dev,
    golang-github-jcmturner-goidentity.v6-dev,
    golang-github-jcmturner-rpc.v2-dev,
    golang-github-jcmturner-gokrb5.v8-dev

 -- Matthew Vernon <matthew@debian.org>  Mon, 05 Dec 2022 16:16:52 +0000
