=== debian/control ===
Source: golang-github-colinmarc-hdfs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>,
           Matthew Vernon <matthew@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
	       golang-github-jcmturner-gokrb5.v8-dev,
               golang-github-pborman-getopt-dev,
               golang-github-stretchr-testify-dev,
               golang-google-protobuf-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-colinmarc-hdfs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-colinmarc-hdfs.git
Homepage: https://github.com/colinmarc/hdfs
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/colinmarc/hdfs

Package: hdfs-cli
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: CLI client for HDFS, written in go
 This is a commandline client for HDFS, written in go.
 Its primary aim is to be idiomatic, by enabling
 your favorite unix verbs (mv, ls, etc.).

Package: golang-github-colinmarc-hdfs-dev
Architecture: all
Depends: ${misc:Depends},
 golang-github-jcmturner-gokrb5.v8-dev,
 golang-github-pborman-getopt-dev,
 golang-github-stretchr-testify-dev,
 golang-google-protobuf-dev
Built-Using: ${misc:Built-Using}
Description: Native go client library for HDFS
 This is a native golang client for hdfs. It connects directly to the
 namenode using the protocol buffers API.
 .
 It tries to be idiomatic by aping the stdlib os package, where possible,
 and implements the interfaces from it, including os.FileInfo and
 os.PathError.
