=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

#Skip the tests, since client_test.go needs a hadoop cluster available to it
override_dh_auto_test:
