## golang-github-colinmarc-hdfs 2.4.0

=== debian/changelog ===
golang-github-colinmarc-hdfs (2.4.0-1) unstable; urgency=medium

  * New upstream release
    - versioned Depends: golang-github-jcmturner-gokrb5.v8-dev (>= 8.4.4~)
  * update debian/watch to v5 GitHub template
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Feb 2026 13:37:18 +0100
