=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-colinmarc-hdfs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>,
            Matthew Vernon <matthew@debian.org>
 Section: golang
@@ -9,11 +8,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-	       golang-github-jcmturner-gokrb5.v8-dev,
+	       golang-github-jcmturner-gokrb5.v8-dev (>= 8.4.4~),
                golang-github-pborman-getopt-dev,
                golang-github-stretchr-testify-dev,
                golang-google-protobuf-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-colinmarc-hdfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-colinmarc-hdfs.git
 Homepage: https://github.com/colinmarc/hdfs
@@ -33,7 +32,7 @@
 Package: golang-github-colinmarc-hdfs-dev
 Architecture: all
 Depends: ${misc:Depends},
- golang-github-jcmturner-gokrb5.v8-dev,
+ golang-github-jcmturner-gokrb5.v8-dev (>= 8.4.4~),
  golang-github-pborman-getopt-dev,
  golang-github-stretchr-testify-dev,
  golang-google-protobuf-dev
