=== debian/watch ===
Version: 5

Template: GitHub
Owner: colinmarc
Project: hdfs
